## r-cran-sass 0.3.1+dfsg

=== DESCRIPTION ===
Type: Package
Package: sass
Version: 0.3.1
Title: Syntactically Awesome Style Sheets ('Sass')
Description: An 'SCSS' compiler, powered by the 'LibSass' library. With this,
    R developers can use variables, inheritance, and functions to generate
    dynamic style sheets. The package uses the 'Sass CSS' extension language,
    which is stable, powerful, and CSS compatible.
Authors@R: c(
    person("Joe", "Cheng", , "joe@rstudio.com", "aut"),
    person("Timothy", "Mastny", , "tim.mastny@gmail.com", "aut"),
    person("Richard", "Iannone", , "rich@rstudio.com", "aut",
       comment = c(ORCID = "0000-0003-3925-190X")),
    person("Barret", "Schloerke", , "barret@rstudio.com", "aut",
           comment = c(ORCID = "0000-0001-9986-114X")),
    person("Carson", "Sievert", , "carson@rstudio.com", c("aut", "cre"),
           comment = c(ORCID = "0000-0002-4958-2844")),
    person(family = "RStudio", role = c("cph", "fnd")),
    person(family = "Sass Open Source Foundation", role = c("ctb", "cph"),
           comment = "LibSass library"),
    person("Greter", "Marcel", role = c("ctb", "cph"),
           comment = "LibSass library"),
    person("Mifsud", "Michael", role = c("ctb", "cph"),
           comment = "LibSass library"),
    person("Hampton", "Catlin", role = c("ctb", "cph"),
           comment = "LibSass library"),
    person("Natalie", "Weizenbaum", role = c("ctb", "cph"),
           comment = "LibSass library"),
    person("Chris", "Eppstein", role = c("ctb", "cph"),
           comment = "LibSass library"),
    person("Adams", "Joseph", role = c("ctb", "cph"),
           comment = "json.cpp"),
    person("Trifunovic", "Nemanja", role = c("ctb", "cph"),
           comment = "utf8.h")
    )
License: MIT + file LICENSE
URL: https://github.com/rstudio/sass
BugReports: https://github.com/rstudio/sass/issues
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
SystemRequirements: GNU make
Imports: digest, fs, rlang, htmltools, R6, rappdirs
Suggests: testthat, knitr, rmarkdown, withr, shiny
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2021-01-22 19:21:04 UTC; cpsievert
Author: Joe Cheng [aut],
  Timothy Mastny [aut],
  Richard Iannone [aut] (<https://orcid.org/0000-0003-3925-190X>),
  Barret Schloerke [aut] (<https://orcid.org/0000-0001-9986-114X>),
  Carson Sievert [aut, cre] (<https://orcid.org/0000-0002-4958-2844>),
  RStudio [cph, fnd],
  Sass Open Source Foundation [ctb, cph] (LibSass library),
  Greter Marcel [ctb, cph] (LibSass library),
  Mifsud Michael [ctb, cph] (LibSass library),
  Hampton Catlin [ctb, cph] (LibSass library),
  Natalie Weizenbaum [ctb, cph] (LibSass library),
  Chris Eppstein [ctb, cph] (LibSass library),
  Adams Joseph [ctb, cph] (json.cpp),
  Trifunovic Nemanja [ctb, cph] (utf8.h)
Maintainer: Carson Sievert <carson@rstudio.com>
Repository: CRAN
Date/Publication: 2021-01-24 17:10:02 UTC
