=== debian/changelog ===
r-cran-sass (0.3.1+dfsg-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 03 Feb 2021 10:04:48 +0100

r-cran-sass (0.3.1+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #981280)

 -- Andreas Tille <tille@debian.org>  Thu, 28 Jan 2021 21:19:44 +0100
