=== debian/control ===
Source: r-cran-sass
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-digest,
               r-cran-fs,
               r-cran-rlang,
               r-cran-htmltools,
               r-cran-r6,
               r-cran-rappdirs
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sass
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sass.git
Homepage: https://cran.r-project.org/package=sass
Rules-Requires-Root: no

Package: r-cran-sass
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Syntactically Awesome Style Sheets ('Sass')
 An 'SCSS' compiler, powered by the 'LibSass' library. With this,
 R developers can use variables, inheritance, and functions to generate
 dynamic style sheets. The package uses the 'Sass CSS' extension language,
 which is stable, powerful, and CSS compatible.
