## r-cran-sass 0.4.0%2Bdfsg

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/sass_([-\d.]*)\.tar\.gz
