## r-cran-sass 0.4.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Type: Package
 Package: sass
-Version: 0.3.1
+Version: 0.4.0
 Title: Syntactically Awesome Style Sheets ('Sass')
 Description: An 'SCSS' compiler, powered by the 'LibSass' library. With this,
     R developers can use variables, inheritance, and functions to generate
@@ -15,6 +15,8 @@
            comment = c(ORCID = "0000-0001-9986-114X")),
     person("Carson", "Sievert", , "carson@rstudio.com", c("aut", "cre"),
            comment = c(ORCID = "0000-0002-4958-2844")),
+    person("Christophe", "Dervieux", , "cderv@rstudio.com", c("ctb"),
+           comment = c(ORCID = "0000-0003-4474-2498")),
     person(family = "RStudio", role = c("cph", "fnd")),
     person(family = "Sass Open Source Foundation", role = c("ctb", "cph"),
            comment = "LibSass library"),
@@ -37,19 +39,20 @@
 URL: https://github.com/rstudio/sass
 BugReports: https://github.com/rstudio/sass/issues
 Encoding: UTF-8
-LazyData: true
 RoxygenNote: 7.1.1
 SystemRequirements: GNU make
-Imports: digest, fs, rlang, htmltools, R6, rappdirs
-Suggests: testthat, knitr, rmarkdown, withr, shiny
+Imports: fs, rlang (>= 0.4.10), htmltools (>= 0.5.1), R6, rappdirs
+Suggests: testthat, knitr, rmarkdown, withr, shiny, curl
 VignetteBuilder: knitr
+Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2021-01-22 19:21:04 UTC; cpsievert
+Packaged: 2021-05-11 13:52:17 UTC; cpsievert
 Author: Joe Cheng [aut],
   Timothy Mastny [aut],
   Richard Iannone [aut] (<https://orcid.org/0000-0003-3925-190X>),
   Barret Schloerke [aut] (<https://orcid.org/0000-0001-9986-114X>),
   Carson Sievert [aut, cre] (<https://orcid.org/0000-0002-4958-2844>),
+  Christophe Dervieux [ctb] (<https://orcid.org/0000-0003-4474-2498>),
   RStudio [cph, fnd],
   Sass Open Source Foundation [ctb, cph] (LibSass library),
   Greter Marcel [ctb, cph] (LibSass library),
@@ -61,4 +64,4 @@
   Trifunovic Nemanja [ctb, cph] (utf8.h)
 Maintainer: Carson Sievert <carson@rstudio.com>
 Repository: CRAN
-Date/Publication: 2021-01-24 17:10:02 UTC
+Date/Publication: 2021-05-12 06:00:02 UTC
