=== debian/changelog ===
r-cran-sass (0.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Aug 2021 09:25:38 +0200
