=== debian/control ===
--- 
+++ 
@@ -7,13 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-digest,
                r-cran-fs,
-               r-cran-rlang,
-               r-cran-htmltools,
+               r-cran-rlang (>= 0.4.10),
+               r-cran-htmltools (>= 0.5.1),
                r-cran-r6,
                r-cran-rappdirs
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sass
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sass.git
 Homepage: https://cran.r-project.org/package=sass
