## r-cran-sass 0.4.2+dfsg

=== debian/changelog ===
r-cran-sass (0.4.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 20 Jul 2022 17:22:19 +0200

r-cran-sass (0.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 27 Apr 2022 14:28:10 +0200
