## r-cran-sass 0.4.5+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Type: Package
 Package: sass
-Version: 0.4.0
+Version: 0.4.5
 Title: Syntactically Awesome Style Sheets ('Sass')
 Description: An 'SCSS' compiler, powered by the 'LibSass' library. With this,
     R developers can use variables, inheritance, and functions to generate
@@ -36,17 +36,17 @@
            comment = "utf8.h")
     )
 License: MIT + file LICENSE
-URL: https://github.com/rstudio/sass
+URL: https://rstudio.github.io/sass/, https://github.com/rstudio/sass
 BugReports: https://github.com/rstudio/sass/issues
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
 SystemRequirements: GNU make
 Imports: fs, rlang (>= 0.4.10), htmltools (>= 0.5.1), R6, rappdirs
 Suggests: testthat, knitr, rmarkdown, withr, shiny, curl
 VignetteBuilder: knitr
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2021-05-11 13:52:17 UTC; cpsievert
+Packaged: 2023-01-23 19:37:40 UTC; cpsievert
 Author: Joe Cheng [aut],
   Timothy Mastny [aut],
   Richard Iannone [aut] (<https://orcid.org/0000-0003-3925-190X>),
@@ -64,4 +64,4 @@
   Trifunovic Nemanja [ctb, cph] (utf8.h)
 Maintainer: Carson Sievert <carson@rstudio.com>
 Repository: CRAN
-Date/Publication: 2021-05-12 06:00:02 UTC
+Date/Publication: 2023-01-24 01:10:02 UTC
