=== debian/changelog ===
r-cran-sass (0.4.5+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jan 2023 15:02:59 +0100
