## r-cran-sass 0.4.7+dfsg

=== debian/changelog ===
r-cran-sass (0.4.7+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Drop versioned constraint on r-cran-htmltools (>= 0.5.1).

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 22:24:50 +0200

r-cran-sass (0.4.6+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Drop versioned constraint on r-cran-htmltools (>= 0.5.1).

 -- Andreas Tille <tille@debian.org>  Tue, 27 Jun 2023 08:14:54 +0200
