## r-cran-sass 0.4.8%2Bdfsg

=== inst/sass-font/DESCRIPTION ===
Title: Sass Font Example
Author: RStudio, Inc.
AuthorUrl: http://www.rstudio.com/
License: MIT
DisplayMode: Showcase
Tags: sass css
Type: Shiny
