=== debian/changelog ===
r-cran-sass (0.4.8+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Drop versioned constraint on r-cran-htmltools (>= 0.5.1).

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 09:29:23 +0100
