=== src/libsass/Makefile ===
--- 
+++ 
@@ -57,8 +57,9 @@
 	CXXFLAGS += -DLIBSASS_VERSION="\"$(LIBSASS_VERSION)\""
 endif
 
-CXXFLAGS += -std=c++11
-LDFLAGS  += -std=c++11
+LIBSASS_CPPSTD ?= c++11
+CXXFLAGS += -std=$(LIBSASS_CPPSTD)
+LDFLAGS  += -std=$(LIBSASS_CPPSTD)
 
 ifeq (Windows,$(UNAME))
 	ifneq ($(BUILD),shared)
@@ -109,7 +110,6 @@
 endif
 
 ifeq ($(UNAME),Darwin)
-	CFLAGS += -stdlib=libc++
 	CXXFLAGS += -stdlib=libc++
 	LDFLAGS += -stdlib=libc++
 endif
