=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: r-cran-sass
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sass
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sass.git
-Homepage: https://cran.r-project.org/package=sass
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-fs,
-               r-cran-rlang (>= 0.4.10),
-               r-cran-htmltools (>= 0.5.1),
+               r-cran-rlang,
+               r-cran-htmltools,
                r-cran-r6,
                r-cran-rappdirs
-Testsuite: autopkgtest-pkg-r
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sass
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sass.git
+Homepage: https://cran.r-project.org/package=sass
+Rules-Requires-Root: no
 
 Package: r-cran-sass
 Architecture: any
