=== debian/changelog ===
r-cran-sass (0.4.9+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Drop versioned constraint on r-cran-htmltools (>= 0.5.1).
  * Set LANG=C in autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 15 May 2024 08:32:10 +0200
