=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                r-cran-htmltools,
                r-cran-r6,
                r-cran-rappdirs
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sass
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sass.git
 Homepage: https://cran.r-project.org/package=sass
