=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_installdocs:
	tar caf tests.tar.xz tests
	dh_installdocs
	rm -rf tests.tar.xz
