=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-withr,
        r-cran-shiny,
        r-cran-curl
Restrictions: allow-stderr
